Bug 808759 - firewall-applet - Icon could not be loaded
firewall-applet - Icon could not be loaded
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F17Blocker/F17FinalBlocker
  Show dependency treegraph
 
Reported: 2012-03-31 11:41 EDT by Flóki Pálsson
Modified: 2012-04-24 19:29 EDT (History)
5 users (show)

See Also:
Fixed In Version: firewalld-0.2.5-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 00:26:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Flóki Pálsson 2012-03-31 11:41:40 EDT
Description of problem:
firewall-applet - could not be loaded
Starting firewall-applet form terminal results in error.


Version-Release number of selected component (if applicable):
firewall-applet-0.2.4-1.fc17.noarch

How reproducible:
always 

Steps to Reproduce:
1. feom terminal $ firewall-applet
2.
3.
  
Actual results:
$ firewall-applet
/usr/lib64/python2.7/site-packages/gobject/constants.py:24: Warning: g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed
  import gobject._gobject
Icon 'firewall-applet' could not be loaded


Expected results:
working firewall-applet 

Additional info:
Same result if staret from root ( # )
Comment 2 Dennis Gilmore 2012-04-18 18:07:01 EDT
I get this also. it makes firewalld seem not useful to me.
Comment 4 Adam Williamson 2012-04-20 15:22:18 EDT
Discussed at 2012-04-20 blocker review meeting - http://meetbot.fedoraproject.org/fedora-bugzappers/2012-04-20/fedora-bugzappers.2012-04-20-17.01.log.txt . Accepted as a blocker per final criterion "All elements of the default panel (or equivalent) configuration in all release-blocking desktops must function correctly in common use", so long as firewalld is the default firewall for F17. If it is reverted as a default, this bug may stop being a blocker.
Comment 5 Fedora Update System 2012-04-20 15:54:31 EDT
firewalld-0.2.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/firewalld-0.2.5-1.fc17
Comment 6 Fedora Update System 2012-04-21 17:04:20 EDT
Package firewalld-0.2.5-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firewalld-0.2.5-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6323/firewalld-0.2.5-1.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-04-24 00:26:26 EDT
firewalld-0.2.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Paul Finnigan 2012-04-24 18:44:11 EDT
I have still got the problem with firewalld-0.2.5.1.fc17
Comment 9 Flóki Pálsson 2012-04-24 19:29:55 EDT
Now firewall-applet opens in top panel to right.
Right clicking on applet menu opens.
'Edit Firewall settings...' is greyed out an not possible to select.  

rpm -q firewall-applet
firewall-applet-0.2.5-1.fc17.noarch


[floki@F17rc4 ~]$ firewall-applet &
[1] 1901
[floki@F17rc4 ~]$ /usr/lib64/python2.7/site-packages/gobject/constants.py:24: Warning: g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed
  import gobject._gobject
Icon 'firewall-applet-error' could not be loaded
Icon 'firewall-applet-panic' could not be loaded

[floki@F17rc4 ~]$ 

same result as root #

Note You need to log in before you can comment on or make changes to this bug.